import { Comment } from './Comment';
import { Commit } from './Commit';
import { User } from './User';
export declare type Activity = BaseActivity & CommentActivity & CommitActivity & ReviewerActivity;
export interface Activities {
    size?: number;
    limit?: number;
    isLastPage?: boolean;
    start?: number;
    values?: Activity[];
}
interface BaseActivity {
    id?: number;
    createdDate?: number;
    user?: User;
    action?: string;
}
interface CommentActivity extends BaseActivity {
    commentAction?: string;
    comment?: Comment;
    commentAnchor?: {
        fromHash?: string;
        toHash?: string;
        line?: number;
        lineType?: string;
        fileType?: string;
        path?: string;
        srcPath?: string;
        diffType?: string;
        orphaned?: boolean;
    };
}
interface CommitActivity extends BaseActivity {
    fromHash?: string;
    previousFromHash?: string;
    previousToHash?: string;
    toHash?: string;
    added?: {
        commits?: Commit[];
        total?: number;
    };
    removed?: {
        commits?: Commit[];
        total?: number;
    };
}
interface ReviewerActivity extends BaseActivity {
    addedReviewers?: User[];
    removedReviewers?: User[];
}
export {};
//# sourceMappingURL=Activity.d.ts.map