import { Links } from './Links';
import { Participant } from './Participant';
import { Repository } from './Repository';
export interface PullRequest {
    id?: number;
    version?: number;
    title?: string;
    description?: string;
    state?: string;
    open?: boolean;
    closed?: boolean;
    createdDate?: number;
    updatedDate?: number;
    fromRef?: {
        id?: string;
        displayId?: string;
        latestCommit?: string;
        repository?: Repository;
    };
    toRef?: {
        id?: string;
        displayId?: string;
        latestCommit?: string;
        repository?: Repository;
    };
    locked?: boolean;
    author?: Participant;
    reviewers?: Participant[];
    participants?: Participant[];
    properties?: Record<string, any>;
    links?: Links;
}
export interface PullRequests {
    size?: number;
    limit?: number;
    isLastPage?: boolean;
    start?: number;
    values?: PullRequest[];
}
//# sourceMappingURL=PullRequest.d.ts.map