import { HeadersOption } from '@managed-api/commons-core';
import { Project, Projects } from '../definitions/Project';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface CreateProjectRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        key: string;
        name?: string;
        description?: string;
        /**
         * @example "data:image/png;base64,<base64-encoded-image-data>"
         */
        avatar?: string;
    };
}
export interface CreateProjectResponseOK extends Project {
}
export interface CreateProjectResponseError extends CommonError {
}
export interface GetProjectsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * name to filter by
     */
    name?: string;
    /**
     * permission to filter by
     */
    permission?: string;
    /**
     * The limit parameter indicates how many results to return per page.
     */
    limit?: number;
    /**
     * The start parameter indicates which item should be used as the first item in the page of results.
     */
    start?: number;
}
export interface GetProjectsResponseOK extends Projects {
}
export interface GetProjectsResponseError extends CommonError {
}
export interface DeleteProjectRequest extends HeadersOption, ErrorStrategyOption {
    projectKey: string;
}
export declare type DeleteProjectResponseOK = undefined;
export interface DeleteProjectResponseError extends CommonError {
}
export interface UpdateProjectRequest extends HeadersOption, ErrorStrategyOption {
    projectKey: string;
    body: {
        key?: string;
        name?: string;
        description?: string;
        /**
         * @example "data:image/png;base64,<base64-encoded-image-data>"
         */
        avatar?: string;
    };
}
export interface UpdateProjectResponseOK extends Project {
}
export interface UpdateProjectResponseError extends CommonError {
}
export interface GetProjectRequest extends HeadersOption, ErrorStrategyOption {
    projectKey: string;
}
export interface GetProjectResponseOK extends Project {
}
export interface GetProjectResponseError extends CommonError {
}
//# sourceMappingURL=project.d.ts.map