import { HeadersOption } from '@managed-api/commons-core';
import { Commits } from '../../../definitions/Commit';
import { CommonError, ErrorStrategyOption } from '../../../errorStrategy';
export interface GetRepositoryPullRequestCommitsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * the parent project key
     */
    projectKey: string;
    /**
     * the repository slug
     */
    repositorySlug: string;
    /**
     * the ID of the pull request within the repository
     */
    pullRequestId: number;
    /**
     * if set to true, the service will add "authorCount" and "totalCount" at the end of the page. "authorCount" is the number of different authors and "totalCount" is the total number of commits.
     */
    withCounts?: boolean;
    /**
     * if present the service adds avatar URLs for commit authors. Should be an integer specifying the desired size in pixels. If the parameter is not present, avatar URLs will not be set
     */
    avatarSize?: string;
    /**
     * the desired scheme for the avatar URL. If the parameter is not present URLs will use the same scheme as this request
     */
    avatarScheme?: string;
    /**
     * The limit parameter indicates how many results to return per page.
     */
    limit?: number;
    /**
     * The start parameter indicates which item should be used as the first item in the page of results.
     */
    start?: number;
}
export interface GetRepositoryPullRequestCommitsResponseOK extends Commits {
}
export interface GetRepositoryPullRequestCommitsResponseError extends CommonError {
}
//# sourceMappingURL=commit.d.ts.map